
User Interface - Bug #2835

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

Abend when ChUI combo-box drop-down activated

11/09/2015 08:21 PM - Hynek Cihlar

Status: Closed Start date: 11/09/2015

Priority: Normal Due date:  

Assignee: Hynek Cihlar % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 11/09/2015 08:23 PM - Hynek Cihlar

The following program abends when drop-down activated by down key. See the exception call-stack below.

DEF VAR cb AS CHAR FORMAT "x(1)" VIEW-AS COMBO-BOX LIST-ITEMS 

   "item1", "item2", "item3".

FORM cb WITH FRAME f SIDE-LABELS.

ENABLE ALL WITH FRAME f.

WAIT-FOR GO OF FRAME f.

 

        Thread [main] (Suspended (exception StringIndexOutOfBoundsException))    

            StringBuilder(AbstractStringBuilder).setLength(int) line: 180    

            StringBuilder.setLength(int) line: 76    

            ScrollableListImpl.draw() line: 87    

            Viewport<O>.draw() line: 64    

            BorderedPanelImpl(AbstractContainer<O>).draw() line: 343    

            BorderedPanelImpl.draw() line: 75    

            ScrollPaneImpl.draw() line: 59    

            DropDownImpl(AbstractContainer<O>).draw() line: 343    

            DropDownImpl(TitledWindow<O>).draw() line: 100    

            DropDownImpl(OuterFrame<O>).drawInt() line: 98    

            DropDownImpl(OuterFrame<O>).draw() line: 90    

            ChuiOutputManager(OutputManager<P>).setInvalidate(Widget<?>, boolean, boolean) line: 1275    

            ThinClient.eventDrawingBracket(Widget<?>, boolean, boolean, Runnable) line: 13812    

            ThinClient.independentEventDrawingBracket(Widget, Runnable) line: 13678    

            ComboBoxImpl(ComboBox<O>).activate() line: 1040    

            ComboBoxImpl(ComboBox<O>).processSystemKey(KeyInput) line: 1312    

            ThinClient.checkForSystemEvent(KeyInput) line: 13038    

            ThinClient.waitForEvent(int, boolean, boolean, boolean) line: 12927    

            ThinClient.waitForWorker(EventList, int, int, ScreenBuffer, boolean, boolean, boolean, BlockingOpe

ration) line: 10816    

            ThinClient.waitFor(EventList, int, int, ScreenBuffer, BlockingOperation, boolean) line: 10399    

            ThinClient.waitFor(EventList, int, int, ScreenBuffer) line: 10353    
#2 - 11/10/2015 05:15 AM - Greg Shah

This issue is in the trunk?

#3 - 11/10/2015 07:09 AM - Hynek Cihlar

Greg Shah wrote:

This issue is in the trunk?

 

No, this a regression caused by my changes in 2677a rev 11021. Besides the abend there is also a regression in the chui drop-down calculation. I am

working on both.

#4 - 11/10/2015 07:37 AM - Greg Shah

- Assignee set to Hynek Cihlar

- Target version set to Milestone 12

#5 - 11/10/2015 09:41 AM - Hynek Cihlar

Hynek Cihlar wrote:

Greg Shah wrote:

This issue is in the trunk?

 

No, this a regression caused by my changes in 2677a rev 11021. Besides the abend there is also a regression in the chui drop-down calculation.

I am working on both.

 

The regressions fixed in 2677a revision 11023. Besides the abend, the check in also resolves regressions in the combo and drop-down size

calculation.

#6 - 11/10/2015 09:41 AM - Hynek Cihlar

- % Done changed from 0 to 100

#7 - 11/10/2015 10:31 AM - Greg Shah

- Status changed from New to Closed
#8 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
